﻿<%@ page language="C#" autoeventwireup="true" inherits="Generate, ResourceBlender.NET-Compiled" masterpagefile="~/Layout.master" enableeventvalidation="false" title="<%$ Concat:UIStrings.GenerateResources,' » ResourceBlender.NET' %>" %>
<%@ Register TagPrefix="L49" TagName="ApplicationSelector" Src="~/ApplicationSelector.ascx" %>

<asp:Content ID="contentHead" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>

<asp:Content ID="contentMain" ContentPlaceHolderID="cntMain" runat="server">
    <asp:ScriptManager ID="scrUpdateLanguages" runat="server"></asp:ScriptManager>
    <h1 id="generateHeader"><asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:UIStrings, Generate %>" /></h1>
    <div class="breadcrumbs">
        <asp:HyperLink ID="lnkNavHome" runat="server" NavigateUrl="~/Default.aspx">ResourceBlender.NET</asp:HyperLink> &gt; <asp:Literal ID="Literal2" runat="server" Text="<%$ Resources:UIStrings, Generate %>" />
    </div>
    <asp:MultiView ID="mltNoApplications" runat="server" ActiveViewIndex="0">
        <asp:View ID="viwNoApps" runat="server">
            <p><asp:Literal ID="litAddAppLink" runat="server" /></p>
        </asp:View>
        <asp:View ID="viwGenerate" runat="server">
            <div class="niceform">
                <L49:ApplicationSelector ID="appSelector" runat="server" />
                <fieldset class="plain">
                    <legend><asp:Literal ID="Literal3" runat="server" Text="<%$ Resources:UIStrings, Options %>" /></legend>
                    <asp:Label ID="lblThreshold" runat="server" Text="<%$ Resources:UIStrings, CompletionThreshold %>" AssociatedControlID="txtThreshold"></asp:Label>
                    <asp:TextBox ID="txtThreshold" runat="server" CssClass="block"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="requiredThreshold" runat="server" 
                        ErrorMessage="<%$ Resources:Errors, CompletionThresholdRequired %>" 
                        ControlToValidate="txtThreshold" 
                        CssClass="error" 
                        Display="Dynamic" />
                    <div class="checks clear">
                        <asp:CheckBox ID="chkIncludeSummary" runat="server" Checked="True" CssClass="block"
                            Text="<%$ Resources:UIStrings, IncludeSummary %>" />
                        <asp:CheckBox ID="chkEscapeUnicode" runat="server" Checked="True" CssClass="block"
                            Text="<%$ Resources:UIStrings, EscapeUnicode %>" />
                    </div>
                </fieldset>
                <fieldset>
                    <legend><asp:Literal ID="Literal4" runat="server" Text="<%$ Resources:UIStrings, OutputFormat %>" /></legend>
                    <div class="formrow block">
                        <div class="formcol">
                            <label class="block"><asp:Literal ID="Literal5" runat="server" Text="<%$ Resources:UIStrings, Format %>" /></label>
                            <asp:RadioButtonList ID="radFormat" runat="server" RepeatLayout="Flow" 
                                CssClass="checks applicationChecks typeChecks plain"></asp:RadioButtonList>
                            <asp:CustomValidator ID="vldFormatRequired" runat="server" 
                                ControlToValidate="radFormat"  Display="Dynamic"
                                ErrorMessage="<%$ Resources:Errors, OutputFormatRequired %>" CssClass="block"
                                OnServerValidate="vldFormatRequired_ServerValidate" ValidateEmptyText="True">
                            </asp:CustomValidator>
                            <asp:Label ID="lblBundleError" runat="server" Text="" Visible="false" CssClass="block error"></asp:Label>
                        </div>
                    </div>
                </fieldset>
                <div class="actions">
                    <asp:Button ID="btnResources" runat="server" Text="<%$ Resources:UIStrings, GenerateResources %>" OnClick="btnGenerate_Click" CssClass="uniformbutton doublewidth btnGo" />
                </div>
                <br />
            </div>
        </asp:View>
    </asp:MultiView>
</asp:Content>