﻿<%@ page title="<%$ Concat:UIStrings.Installing,' » ResourceBlender.NET' %>" language="C#" masterpagefile="~/Layout.master" autoeventwireup="true" inherits="Install, ResourceBlender.NET-Compiled" %>
<%@ Register TagPrefix="L49" TagName="DatabaseSelector" Src="~/DatabaseSelector.ascx" %>

<asp:Content ID="contentHead" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="contentMain" ContentPlaceHolderID="cntMain" Runat="Server">
    <h1><asp:Literal ID="Literal4" runat="server" Text="<%$ Resources:UIStrings, InstallResourceBlenderNET %>" /></h1>
    <asp:Panel ID="pnlError" runat="server" CssClass="errorDiv">
        <h2><asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:UIStrings, Warning %>" /></h2>
        <p><asp:Literal ID="lblError" runat="server"  /></p>
    </asp:Panel>
    <div class="niceform">
        <asp:Wizard ID="wzdInstall" runat="server" ActiveStepIndex="0" 
            DisplaySideBar="False" FinishDestinationPageUrl="Default.aspx" 
            Width="100%" OnNextButtonClick="wzdInstall_NextButtonClick">
            <WizardSteps>
                <asp:WizardStep ID="stpDatabase" runat="server" Title="<%$ Resources:UIStrings, ConfigureDatabase %>" StepType="Start">
                    <h2><asp:Literal ID="Literal2" runat="server" Text="<%$ Resources:UIStrings, ConfigureDatabase %>" /></h2>
                    <L49:DatabaseSelector runat="server" ID="dbSelector" />
                </asp:WizardStep>
                <asp:WizardStep ID="stpUsers" runat="server" Title="<%$ Resources:UIStrings, ConfigureUsers %>">
                    <h2><asp:Literal ID="Literal3" runat="server" Text="<%$ Resources:UIStrings, ConfigureUsers %>" /></h2>
                    <div class="formrow block">
                        <asp:Label ID="lblAdminUsername" runat="server" AssociatedControlID="txtAdminUsername" 
                            Text="<%$ Resources:UIStrings, UserName %>"></asp:Label>
                        <asp:TextBox ID="txtAdminUsername" runat="server"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="vldUsername" runat="server" 
                            ControlToValidate="txtAdminUsername" Display="Dynamic" 
                            ErrorMessage="<%$ Resources:Errors, UserNameRequired %>" 
                            CssClass="validationerror block"></asp:RequiredFieldValidator>
                    </div>
                    <div class="formrow block">
                        <asp:Label ID="lblAdminPassword" runat="server" AssociatedControlID="txtAdminPassword"
                            Text="<%$ Resources:UIStrings, Password %>"></asp:Label>
                        <asp:TextBox ID="txtAdminPassword" runat="server" TextMode="Password"></asp:TextBox>
                    </div>
                </asp:WizardStep>
                <asp:WizardStep ID="stpFinished" runat="server" Title="<%$ Resources:UIStrings, Finished %>" StepType="Finish">
                    <h2><asp:Literal ID="Literal5" runat="server" Text="<%$ Resources:UIStrings, Success %>" /></h2>
                    <p><asp:Literal ID="litDashboardLink" runat="server" /></p>
                    <p><asp:Literal ID="litWikiLink" runat="server" /></p>
                </asp:WizardStep>
            </WizardSteps>
        </asp:Wizard>
    </div>
</asp:Content>

