﻿<%@ page title="Manage Resources » ResourceBlender.NET" language="C#" masterpagefile="~/Layout.master" autoeventwireup="true" inherits="ResourcesMain, ResourceBlender.NET-Compiled" %>

<asp:Content ID="cntHead" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="cntMain" ContentPlaceHolderID="cntMain" Runat="Server">
    <h1><asp:Literal ID="Literal2" runat="server" Text="<%$ Resources:UIStrings, ManageResources %>" /></h1>
    <div class="breadcrumbs">
        <asp:HyperLink ID="lnkNavHome" runat="server" NavigateUrl="~/Default.aspx">ResourceBlender.NET</asp:HyperLink> &gt; <asp:Literal ID="Literal3" runat="server" Text="<%$ Resources:UIStrings, Resources %>" />
    </div>
    <h2><asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:UIStrings, EditResources %>" /></h2>
    <ul class="links">
        <li><asp:HyperLink runat="server" NavigateUrl="~/ResourcesOnline.aspx" ToolTip="<%$ Resources:UIStrings, EditOnlineDesc %>" Text="<%$ Concat:UIStrings.EditResourcesOnline,' &raquo;' %>" /></li>
        <li><asp:HyperLink runat="server" NavigateUrl="~/ResourcesOffline.aspx" ToolTip="<%$ Resources:UIStrings, ExportRBTXMLDesc %>" Text="<%$ Concat:UIStrings.ExportforOfflineEditing,' &raquo;' %>" /></li>
        <li><asp:HyperLink runat="server" NavigateUrl="~/MachineTranslate.aspx" ToolTip="<%$ Resources:UIStrings, AutomaticTranslationDesc %>" Text="<%$ Concat:UIStrings.AutomaticTranslation,' &raquo;' %>" /></li>
        <li><asp:HyperLink runat="server" NavigateUrl="~/Import.aspx" ToolTip="<%$ Resources:UIStrings, ImportDesc %>" Text="<%$ Concat:UIStrings.ImportResources,' &raquo;' %>" /></li>
    </ul>
    <h2><asp:Literal ID="Literal4" runat="server" Text="<%$ Resources:UIStrings, ResourceMaintenance %>" /></h2>
    <ul class="links">
        <li><asp:HyperLink runat="server" NavigateUrl="~/ResourceSummary.aspx" ToolTip="<%$ Resources:UIStrings, ResourceSummaryDesc %>" Text="<%$ Concat:UIStrings.ResourceSummary,' &raquo;' %>" /></li>
        <li><asp:HyperLink runat="server" NavigateUrl="~/UnusedResources.aspx"  ToolTip="<%$ Resources:UIStrings, UnusedResourcesDesc %>" Text="<%$ Concat:UIStrings.UnusedResources,' &raquo;' %>" /></li>
        <li><asp:HyperLink runat="server" NavigateUrl="~/DuplicateResources.aspx" ToolTip="<%$ Resources:UIStrings, DuplicateResourcesDesc %>" Text="<%$ Concat:UIStrings.DuplicateResources,' &raquo;' %>" /></li>
        <li><asp:HyperLink runat="server" NavigateUrl="~/CreateVariant.aspx" ToolTip="<%$ Resources:UIStrings, CreateVariantLongDesc %>" Text="<%$ Concat:UIStrings.CreateVariant,' &raquo;' %>" /></li>
    </ul>
</asp:Content>

