﻿<%@ page title="<%$ Concat:UIStrings.Settings,' » ResourceBlender.NET' %>" language="C#" masterpagefile="~/Layout.master" autoeventwireup="true" inherits="Settings, ResourceBlender.NET-Compiled" %>
<%@ Register TagPrefix="L49" TagName="DatabaseSelector" Src="~/DatabaseSelector.ascx" %>

<asp:Content ID="contentHead" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="contentMain" ContentPlaceHolderID="cntMain" Runat="Server">
    <h1><asp:Literal ID="Literal4" runat="server" Text="<%$ Resources:UIStrings, Settings %>" /></h1>
    <div class="breadcrumbs">
        <asp:HyperLink ID="lnkNavHome" runat="server" NavigateUrl="~/Default.aspx">ResourceBlender.NET</asp:HyperLink> &gt; <asp:Literal ID="Literal3" runat="server" Text="<%$ Resources:UIStrings, Settings %>" />
    </div>
    <asp:Panel ID="pnlError" runat="server" CssClass="errorDiv">
        <h2><asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:Errors, Error %>" /></h2>
        <asp:Label ID="lblError" runat="server"></asp:Label>
    </asp:Panel>
    <div class="niceform">
        <fieldset>
            <legend><asp:Literal ID="Literal2" runat="server" Text="<%$ Resources:UIStrings, Database %>" /></legend>
            <L49:DatabaseSelector runat="server" ID="dbSelector" />
        </fieldset>
        <div class="formrow block actions">
            <asp:Button ID="btnSave" runat="server" Text="<%$ Resources:UIStrings, Save %>" CssClass="uniformbutton btnSave" 
                OnClick="btnSave_Click" />
        </div>
    </div>
</asp:Content>

