﻿<%@ page title="<%$ Concat:UIStrings.UnusedResources,' » ResourceBlender.NET' %>" language="C#" masterpagefile="~/Layout.master" autoeventwireup="true" inherits="UnusedResources, ResourceBlender.NET-Compiled" enableeventvalidation="false" validaterequest="false" %>

<asp:Content ID="cntHead" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="cntMain" ContentPlaceHolderID="cntMain" Runat="Server">
<asp:ScriptManager ID="scrUpdateLanguages" runat="server"></asp:ScriptManager>
    <h1><asp:Literal ID="lblUnusedHeading" runat="server" Text="<%$ Resources:UIStrings, UnusedResources %>" /></h1>
    <div class="breadcrumbs">
        <asp:HyperLink ID="lnkNavHome" runat="server" NavigateUrl="~/Default.aspx">ResourceBlender.NET</asp:HyperLink> &gt; <asp:HyperLink ID="lnkNavResources" runat="server" NavigateUrl="~/ResourcesMain.aspx" Text="<%$ Resources:UIStrings, Resources %>" /> &gt; <asp:Literal ID="Literal2" runat="server" Text="<%$ Resources:UIStrings, UnusedResources %>" />
    </div>
    <asp:MultiView ID="mltMain" runat="server" ActiveViewIndex="0">
        <asp:View ID="viwFindUnusedForm" runat="server">
            <asp:SqlDataSource ID="dsResources" runat="server"
                 ConnectionString="<%$ ConnectionStrings:Default %>"
                 ProviderName="<%$ ConnectionStrings:Default.ProviderName %>"
                 OnSelected="dsResources_Selected">
            </asp:SqlDataSource>
            <div class="niceform">
                <fieldset>
                    <legend><asp:Literal ID="Literal4" runat="server" Text="<%$ Resources:UIStrings, UnusedResourcesDesc %>" /></legend>
                    <div class="formrow block">
                        <asp:UpdatePanel ID="updRadLanguage" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <div class="formrow block">
                                    <label class="block"><asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:UIStrings, Language %>" /></label>
                                    <asp:RadioButtonList ID="radLanguage" runat="server" RepeatLayout="Flow" 
                                        OnSelectedIndexChanged="SelectLanguage"
                                        AppendDataBoundItems="true"
                                        AutoPostBack="True" CssClass="checks applicationChecks plain" RepeatColumns="3">
                                    </asp:RadioButtonList>
                                    <asp:Button ID="btnRefresh" runat="server" Text="<%$ Resources:UIStrings, RefreshBundlesLanguages %>"
                                        OnClick="SelectLanguage" CssClass="uniformbutton doublewidth btnGo" />
                                </div>
                                <asp:UpdateProgress ID="prgRadLanguage" runat="server" 
                                    AssociatedUpdatePanelID="updRadLanguage" 
                                    DisplayAfter="100">
                                    <ProgressTemplate>
                                        <div class="centered"><asp:Image ID="imgLoadingLanguagesSelection" runat="server" ImageUrl="~/images/ajax-loader.gif" AlternateText="<%$ Resources:UIStrings, Loading %>" /></div>
                                    </ProgressTemplate>
                                </asp:UpdateProgress>
                                <h3><asp:Literal ID="lblNumUnused" runat="server" Text="<%$ Resources:UIStrings, UnusedResources %>" /></h3>
                                <asp:GridView ID="grdFindUnused" runat="server" AllowPaging="True" 
                                    AllowSorting="True" AutoGenerateColumns="false" CssClass="nicetable" 
                                    Width="100%" DataSourceID="dsResources" 
                                    OnRowCommand="grdFindUnused_RowCommand" 
                                    OnPageIndexChanging="grdFindUnused_PageIndexChanging"
                                    OnSorting="grdFindUnused_Sorting"                                    
                                    PageSize="25">
                                    <PagerSettings PageButtonCount="8" Mode="NumericFirstLast" Position="TopAndBottom" />
                                    <Columns>
                                        <asp:TemplateField SortExpression="translation" HeaderText="<%$ Resources:UIStrings, Translation %>" ItemStyle-Width="80%">
                                            <ItemTemplate>
                                                <asp:Label ID="lblTranslation" runat="server" Text='<%# Eval("translation") %>' EnableViewState="False"></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField SortExpression="number" HeaderText="<%$ Resources:UIStrings, Languages %>" ItemStyle-CssClass="centered">
                                            <ItemTemplate>
                                                <asp:Label ID="lblNumLanguages" runat="server" Text='<%# Eval("number") %>' EnableViewState="False"></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="<%$ Resources:UIStrings, Delete %>" ItemStyle-CssClass="doubleButton">
                                            <ItemTemplate>
                                                <asp:UpdatePanel ID="updDeleteResource" runat="server" UpdateMode="Conditional">
                                                    <ContentTemplate>
                                                        <asp:CheckBox ID="chkSelect" runat="server" />
                                                        <asp:ImageButton ID="btnDelete" runat="server" 
                                                            ToolTip='<%# string.Format(Resources.UIStrings.DeleteResourceNum, Eval("resourceid")) %>'
                                                            CommandName="deleteresource"
                                                            CommandArgument='<%# Eval("resourceid") %>'
                                                            ImageUrl="~/images/delete_10.png" />
                                                    </ContentTemplate>
                                                    <Triggers>
                                                        <asp:PostBackTrigger ControlID="btnDelete" />
                                                    </Triggers>
                                                </asp:UpdatePanel>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                    </Columns>
                                    <HeaderStyle CssClass="excelHead" />
                                    <AlternatingRowStyle CssClass="alt" />
                                </asp:GridView>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID="radLanguage"
                                    EventName="SelectedIndexChanged" />
                            </Triggers>
                        </asp:UpdatePanel>
                    </div>
                </fieldset>
                <div class="actions">
                    <asp:Button ID="btnDeleteSelected" runat="server"
                        CssClass="uniformbutton btnDelete" EnableViewState="False" Text="<%$ Resources:UIStrings, DeleteSelected %>" 
                        OnClick="btnDeleteSelected_Click" />
                </div>
            </div>
        </asp:View>
        <asp:View ID="pnlDeleteResource" runat="server">
            <div class="niceform confirmation">
                <h1><asp:Literal ID="lblConfirmDeletionHeading" runat="server" Text="<%$ Resources:UIStrings, ConfirmDeletion %>" 
                        EnableViewState="False" /></h1>
                <p><asp:Literal ID="litConfirmDelete" runat="server" /></p>
                <asp:Button ID="btnOk" runat="server" CommandName="confirmdelete" 
                    CssClass="uniformbutton btnConfirm" EnableViewState="False" onclick="btnOk_Click" 
                    Text="<%$ Resources:UIStrings, DeleteResource %>" />
                <asp:Button ID="btnCancelDelete" runat="server" CommandName="canceldelete" 
                    CssClass="uniformbutton btnCancel" EnableViewState="False" Text="<%$ Resources:UIStrings, Cancel %>" 
                    OnClick="btnCancelDelete_Click" />
            </div>
        </asp:View>
    </asp:MultiView>
</asp:Content>

